/*LANDING HOMEPAGE------------------------------------------------------------------------*/
#cc_landing_homepage {
    position: relative;
    width: 100vw;
    min-height: calc(100vh - 127px);
    justify-content: flex-end;
    align-items: center;
    background-color: azure;

    .column{
        flex:none;
    }

    #landing_homepage_video {
        object-fit: cover;
        height: 100%;
        width: 100%;
        position: absolute;
        top: 0;
        left: 0;
    }

    #landing_homepage_video_opacity {
        height: 100%;
        width: 100%;
        position: absolute;
        top: 0;
        left: 0;
        background-color: #000;
        opacity: 30%;
    }

    #landing_homepage_text {
        position: relative;
        margin-top: 80px;
        margin-bottom: 40px;
        gap: 15em;

        #landing_homepage_text_h1 {
            /* color: #20BEC6; */
            color: #F9F6EE;
            letter-spacing: 5px;
            font-size: 120px;
            filter: drop-shadow(7px 7px 10px #333333);
            text-align: center;
        }

        div {
            width: 100%;

            .cc_certifica_button {
                border: #0087A1 2.5px solid;
                color: #F9F6EE;
                background-color: rgb(51, 51, 51, 0.05);

                &:hover {
                    background-color: #0087A1;
                    color: #F9F6EE;
                }
            }
        }
    }
}



/*QUEM SOMOS----------------------------------------------------------------------------------------------------*/
#cc_homepage_quem_somos {
    background-color: #F9F6EE;
    align-items: center;

    #cc_homepage_quem_somos_img {
        /* height: 350px; */
        height: 500px;
        min-width: 50%;
        filter: drop-shadow(7px 7px 10px #333333);
        background: #F9F6EE center/cover url("../source/img/landing_rvcc.jpg") no-repeat;
    }
}

#cc_homepage_quem_somos2 {
    background-color: #0087A1;
    justify-content: center;
    align-items: baseline;
    padding-top: 80px;
    padding-bottom: 80px;

    p,
    h1 {
        color: #F9F6EE;
    }

    .p_valores {
        font-size: 5vw;
        transition: transform .5s ease;

        &:hover {
            color: rgb(249, 246, 238, 0.5);
            transform: translateX(20px);
        }
    }
}



/*FORMAÇÃO--------------------------------------------------------------------------------------------------------*/
#cc_homepage_formacao2 {
    background-color: #F9F6EE;
    align-items: center;

    #cc_homepage_formacao2_img {
        height: 350px;
        min-width: 50%;
        filter: drop-shadow(7px 7px 10px #333333);
        background: #F9F6EE center/cover url("../source/img/formacao.jpg") no-repeat;
    }

    div:last-child {
        /*         padding-top: 80px;
        padding-bottom: 80px;
        width: 50%; */
    }
}

#cc_homepage_formacao1 {
    div {
        position: relative;
        min-width: 200px;

        display: flex;
        flex-direction: column;
        align-items: center;
        flex-wrap: wrap;
        flex: 1;
        text-align: center;
        gap: 8px;

        a {
            width: 150px;
            height: 150px;
            border-radius: 150px;
            background-color: #0087A1;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        p {
            color: #333333;
            line-height: normal;
        }

        .cc_homepage_formacao_nome {
            /* padding-bottom: 8px; */
            font-weight: 400;
        }

        .cc_homepage_formacao_descricao {
            font-size: 16px;
            font-weight: 300;
        }

        .cc_homepage_formacao_img {
            /*  width: 150px;
            height: auto; */
            cursor: pointer;
            transition: transform .5s ease;
            opacity: 0.85;

            &:hover {
                transform: scale(1.05);
                opacity: 1;
                filter: drop-shadow(4px 4px 4px rgb(51, 51, 51, 0.5));
                /* filter: drop-shadow(4px 4px 4px #20BEC6); */
            }
        }
    }
}



/*EQUIPA---------------------------------------------------------------------------------------*/
#cc_homepage_equipa,
#cc_homepage_testemunhos,
#cc_homepage_noticias {
    align-items: center;
    background-color: #F9F6EE;
}

#cc_homepage_testemunhos {
    padding-top: 80px;
    padding-bottom: 80px;
}



/*TESTEMUNHOS----------------------------------------------------------------------------------------------------*/
#cc_homepage_testemunhos {
    background-color: #0087A1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    /* width: 100%;
    margin: 0 auto; */
}

#cc_homepage_testemunhos_div {
    display: flex;
    flex-wrap: nowrap;
    justify-content: flex-start;
    gap: 20px;
    overflow-x: auto;
    padding: 10px 0;
    scrollbar-width: thin;
    max-width: 100%;
}

#cc_homepage_testemunhos_h2,
#cc_homepage_testemunhos_p {
    color: #F9F6EE;
}

.cc_testemunho_video {
    width: 960px;
    padding-bottom: 24px;
    filter: drop-shadow(7px 7px 10px #333333);
}

.cc_testemunho_paragrafo {
    background-color: #F9F6EE;
    color: #333333;
    height: 540px;
    width: 540px;
    text-align: center;
    align-content: center;
    padding: 0 32px;
    margin-bottom: 24px;
    filter: drop-shadow(7px 7px 10px #333333);
}

.cc_testemunho_p1 {
    font-weight: 600;
    color: #F9F6EE;
}

.cc_testemunho_p2 {
    font-size: 16px;
    color: #F9F6EE;
}

/*NOTÍCIAS--------------------------------------------------------------------------------------------*/
#cc_homepage_noticias {
    align-items: center;
    border-bottom: 1px solid #333333;
    padding-bottom: 80px;
}


/*MEDIA QUERIES----------------------------------------------------------*/
/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (max-width: 768px) {
    #cc_homepage_quem_somos {
        #cc_homepage_quem_somos_img {
            min-width: 100%;
        }
    }

    #cc_homepage_quem_somos2 {
        justify-content: flex-start;
        .p_valores {
            font-size: 8vw;
        }
    }

    #cc_homepage_formacao2 {
        flex-wrap: wrap-reverse;

        #cc_homepage_formacao2_img {
            min-width: 100%;
        }
    }

    #cc_homepage_formacao1 {
        & div {
            min-width: 100%;
        }
    }

}

/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (max-width: 600px) {

    #cc_landing_homepage {
        & #landing_homepage_text {
            margin: 0;
            gap: 100px;

            #landing_homepage_text_h1 {
                font-size: 48px;
                letter-spacing: 2px;
            }
        }
    }
    .cc_testemunho_video, .cc_testemunho_paragrafo{
        width: 100vw;
    }


}